org.apache.geode.cache.configuration

## Class ParameterType

- java.lang.Object
- - org.apache.geode.cache.configuration.ObjectType
  - - org.apache.geode.cache.configuration.ParameterType

- All Implemented Interfaces:
    java.io.Serializable

      @Experimental
      public class ParameterType
      extends ObjectType

  A "parameter" element describes a parameter used to initialize a Declarable object.

  Java class for parameter-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="parameter-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
               <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
             </choice>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`

    - ### Fields inherited from class org.apache.geode.cache.configuration.ObjectType

      `declarable, string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterType()`
    `ParameterType(java.lang.String name)`
    `ParameterType(java.lang.String name, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getName()` Gets the value of the name property.
    `int` | `hashCode()`
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.geode.cache.configuration.ObjectType

      `getDeclarable, getString, setDeclarable, setString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

  - ### Constructor Detail

    - #### ParameterType

          public ParameterType()

    - #### ParameterType

          public ParameterType(java.lang.String name)

    - #### ParameterType

          public ParameterType(java.lang.String name,
                               java.lang.String value)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property. possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property. allowed object is `String`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `ObjectType`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ObjectType`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ObjectType`